## cedar-backup3 3.2.0

=== manual/Makefile ===
# vim: set ft=make:
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#
#              C E D A R
#          S O L U T I O N S       "Software done right."
#           S O F T W A R E
#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #
#
# Author   : Kenneth J. Pronovici <pronovic@ieee.org>
# Language : Make
# Project  : Cedar Backup, release 3
# Purpose  : Makefile used for building the Cedar Backup manual.
#
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # #

########
# Notes
########

# This Makefile was originally taken from the Subversion project's book
# (http://svnbook.red-bean.com/) and has been substantially modifed (almost
# completely rewritten) for use with Cedar Backup.
#
# The original Makefile was (c) 2000-2004 CollabNet (see CREDITS).


########################
# Programs and commands
########################

CP                       = cp
INSTALL                  = install
MKDIR                    = mkdir
RM                       = rm
XSLTPROC                 = xsltproc
W3M                      = w3m


############
# Locations
############

INSTALL_DIR              = ../doc/manual

XSL_DIR                  = ../util/docbook
STYLES_CSS               = $(XSL_DIR)/styles.css
XSL_FO                   = $(XSL_DIR)/fo-stylesheet.xsl
XSL_HTML                 = $(XSL_DIR)/html-stylesheet.xsl
XSL_CHUNK                = $(XSL_DIR)/chunk-stylesheet.xsl

MANUAL_TOP               = .
MANUAL_DIR               = $(MANUAL_TOP)/src
MANUAL_CHUNK_DIR         = $(MANUAL_DIR)/chunk
MANUAL_HTML_TARGET       = $(MANUAL_DIR)/manual.html
MANUAL_CHUNK_TARGET      = $(MANUAL_CHUNK_DIR)/index.html  # index.html is created last
MANUAL_TEXT_TARGET       = $(MANUAL_DIR)/manual.txt
MANUAL_XML_SOURCE        = $(MANUAL_DIR)/book.xml
MANUAL_ALL_SOURCE        = $(MANUAL_DIR)/*.xml
MANUAL_HTML_IMAGES       = $(MANUAL_DIR)/images/html/*.png


#############################################
# High-level targets and simple dependencies
#############################################

all: manual-html manual-chunk 

install: install-manual-html install-manual-chunk install-manual-text

clean: 
	-@$(RM) -f $(MANUAL_HTML_TARGET) $(MANUAL_FO_TARGET) $(MANUAL_TEXT_TARGET)
	-@$(RM) -rf $(MANUAL_CHUNK_DIR)

$(INSTALL_DIR):
	$(INSTALL) --mode=775 -d $(INSTALL_DIR)


###################
# HTML build rules
###################

manual-html: $(MANUAL_HTML_TARGET)

$(MANUAL_HTML_TARGET): $(MANUAL_ALL_SOURCE)
	$(XSLTPROC) --output $(MANUAL_HTML_TARGET) $(XSL_HTML) $(MANUAL_XML_SOURCE)

install-manual-html: $(MANUAL_HTML_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=775 -d $(INSTALL_DIR)/images
	$(INSTALL) --mode=664 $(MANUAL_HTML_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(STYLES_CSS) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_HTML_IMAGES) $(INSTALL_DIR)/images


###########################
# Chunked HTML build rules
##################*########

manual-chunk: $(MANUAL_CHUNK_TARGET)

# The trailing slash in the $(XSLTPROC) command is essential, so that xsltproc will output pages to the dir
$(MANUAL_CHUNK_TARGET): $(MANUAL_ALL_SOURCE) $(STYLES_CSS) $(MANUAL_HTML_IMAGES)
	$(MKDIR) -p $(MANUAL_CHUNK_DIR)
	$(MKDIR) -p $(MANUAL_CHUNK_DIR)/images
	$(XSLTPROC) --output $(MANUAL_CHUNK_DIR)/ $(XSL_CHUNK) $(MANUAL_XML_SOURCE)
	$(CP) $(STYLES_CSS) $(MANUAL_CHUNK_DIR)
	$(CP) $(MANUAL_HTML_IMAGES) $(MANUAL_CHUNK_DIR)/images

install-manual-chunk: $(MANUAL_CHUNK_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=775 -d $(INSTALL_DIR)/images
	$(INSTALL) --mode=664 $(MANUAL_CHUNK_DIR)/*.html $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(STYLES_CSS) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_HTML_IMAGES) $(INSTALL_DIR)/images


###################
# Text build rules
###################

manual-text: manual-html $(MANUAL_TEXT_TARGET)

$(MANUAL_TEXT_TARGET):
	$(W3M) -dump -cols 80 $(MANUAL_HTML_TARGET) > $(MANUAL_TEXT_TARGET)

install-manual-text: $(MANUAL_TEXT_TARGET) $(INSTALL_DIR)
	$(INSTALL) --mode=664 $(MANUAL_TEXT_TARGET) $(INSTALL_DIR)

## cedar-backup3 3.0.2

=== debian/changelog ===
cedar-backup3 (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 30 Jul 2015 22:39:50 -0500

cedar-backup3 (3.0.1-2) unstable; urgency=medium

  * Adjust debian/copyright to fix mistakes from copying cedar-backup2.
     * Make sure correct dates (though 2015) are listed for all items
     * Source code lines should reference CedarBackup3, not CedarBackup2

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 30 Jul 2015 21:57:20 -0500

cedar-backup3 (3.0.1-1) unstable; urgency=medium

  * Initial package release (closes: #794036).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 29 Jul 2015 21:08:21 -0500

=== debian/control ===
Source: cedar-backup3
Priority: optional
Section: admin
Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python-chardet, dh-python
Standards-Version: 3.9.6.0
X-Python3-Version: >= 3.4

Package: cedar-backup3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli (>= 1.4)
Suggests: subversion, mysql-client, postgresql-client, grepmail, gnupg
Description: local and remote backups to CD/DVD media or Amazon S3 storage
 Cedar Backup 3 is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
 rather than relying on physical media.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python 3 programming language.
 .
 This package provides Cedar Backup command-line utilities as well as the
 CedarBackup3 Python library.  The accompanying documentation package
 (cedar-backup3-doc) contains all of the end-user and library public
 interface documentation.  You really should install cedar-backup3-doc and
 read through the end-user documentation before using Cedar Backup for the
 first time.

Package: cedar-backup3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: local and remote backups to CD/DVD media or Amazon S3 storage (documentation)
 Cedar Backup 3 is a software package designed to manage system backups for a
 pool of local and remote machines.  Cedar Backup understands how to back up
 filesystem data as well as MySQL and PostgreSQL databases and Subversion
 repositories.  It can also be easily extended to support other kinds of data
 sources.
 .
 Cedar Backup is focused around weekly backups to a single CD or DVD disc, with
 the expectation that the disc will be changed or overwritten at the beginning
 of each week.  If your hardware is new enough, Cedar Backup can write
 multisession discs, allowing you to add incremental data to a disc on a daily
 basis.
 .
 Alternately, Cedar Backup can write your backups to the Amazon S3 cloud
 rather than relying on physical media.
 .
 Besides offering command-line utilities to manage the backup process, Cedar
 Backup provides a well-organized library of backup-related functionality,
 written in the Python 3 programming language.
 .
 This package provides the end-user and library public interface documentation
 for Cedar Backup, both in HTML form.  You really should read through the
 end-user documentation before using Cedar Backup for the first time.

## cedar-backup3 3.1.1

=== debian/changelog ===
cedar-backup3 (3.1.1-2) unstable; urgency=medium

  * Bump standards version to 3.9.6.1 (no packaging changes).
  * Fix all patches to eliminate the unnecessary leading # character.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 05 Aug 2015 13:52:41 -0500

cedar-backup3 (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 04 Aug 2015 14:21:02 -0500

cedar-backup3 (3.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 04 Aug 2015 01:30:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
 Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python-chardet, dh-python
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.6.1
 X-Python3-Version: >= 3.4
 
 Package: cedar-backup3

=== debian/rules ===
#!/usr/bin/make -f

# Set to enable verbose output from debhelper
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install -Xtestutil.py --fail-missing

override_dh_compress:
	dh_compress -X.py -Xmanual.txt

override_dh_auto_install:
	python3 setup.py install --no-compile --install-purelib lib/cedar-backup3 --install-scripts bin

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(python) util/test.py
endif

## cedar-backup3 3.1.4

=== debian/changelog ===
cedar-backup3 (3.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS by changing build dependency to Python 3's python3-chardet.
  * Add support for the Debian continuous integration environment.
    - Update debian/control to list Testsuite: autopkgtest
    - Add debian/tests/control to list tests for CI environment
    - Change debian/rules to run unit tests via debian/smoketest
    - Start distributing CedarBackup3/testutil.py, which is required for tests

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 11 Aug 2015 18:29:39 +0000

## cedar-backup3 3.1.5

=== debian/changelog ===
cedar-backup3 (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to list new copyright year 2016.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 02 Jan 2016 21:22:09 +0000

## cedar-backup3 3.1.6

=== debian/changelog ===
cedar-backup3 (3.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Feb 2016 11:50:54 -0600

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
-Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python-chardet, dh-python
+Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python3-chardet, dh-python
 Standards-Version: 3.9.6.1
 X-Python3-Version: >= 3.4
+Testsuite: autopkgtest
 
 Package: cedar-backup3
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
-	dh_install -Xtestutil.py --fail-missing
+	dh_install --fail-missing
 
 override_dh_compress:
 	dh_compress -X.py -Xmanual.txt
@@ -17,6 +17,6 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(python) util/test.py
+	sh debian/smoketest
 endif

## cedar-backup3 3.1.7

=== debian/changelog ===
cedar-backup3 (3.1.7-2) unstable; urgency=medium

  * Suggest 'default-mysql-client|virtual-mysql-client' per new MySQL standard.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 05 Sep 2016 13:27:20 -0500

cedar-backup3 (3.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 3.9.8.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 21 Jun 2016 16:23:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
 Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python3-chardet, dh-python
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.8.0
 X-Python3-Version: >= 3.4
 Testsuite: autopkgtest
 
@@ -12,7 +12,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
 Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli (>= 1.4)
-Suggests: subversion, mysql-client, postgresql-client, grepmail, gnupg
+Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
 Description: local and remote backups to CD/DVD media or Amazon S3 storage
  Cedar Backup 3 is a software package designed to manage system backups for a
  pool of local and remote machines.  Cedar Backup understands how to back up

## cedar-backup3 3.1.8

=== debian/changelog ===
cedar-backup3 (3.1.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.0.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 02 Jul 2017 21:24:39 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
 Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python3-chardet, dh-python
-Standards-Version: 3.9.8.0
+Standards-Version: 4.0.0.0
 X-Python3-Version: >= 3.4
 Testsuite: autopkgtest

## cedar-backup3 3.1.9

=== debian/changelog ===
cedar-backup3 (3.1.9-2) unstable; urgency=medium

  * Bump standards version to 4.0.1.0 (no packaging changes).  
  * Add 'Recommends: fdisk | util-linux' in debian/control (closes: #872216).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 15 Aug 2017 23:47:09 +0000

cedar-backup3 (3.1.9-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright to list new copyright year 2017.
  * Update debian/control to recommend awscli (>= 1.11.13-1).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 03 Jul 2017 23:49:06 +0000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
 Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python3-chardet, dh-python
-Standards-Version: 4.0.0.0
+Standards-Version: 4.0.1.0
 X-Python3-Version: >= 3.4
 Testsuite: autopkgtest
 
 Package: cedar-backup3
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
-Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli (>= 1.4)
+Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli (>= 1.11.13-1), fdisk | util-linux (<< 2.29.2-3~)
 Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
 Description: local and remote backups to CD/DVD media or Amazon S3 storage
  Cedar Backup 3 is a software package designed to manage system backups for a

## cedar-backup3 3.1.10

=== debian/changelog ===
cedar-backup3 (3.1.10-1) unstable; urgency=medium

  * New upstream release

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 11 Sep 2017 01:43:58 +0000

## cedar-backup3 3.1.12

=== debian/changelog ===
cedar-backup3 (3.1.12-5) unstable; urgency=medium

  * Make testing improvements, including contributions from Ondřej Nový:
    - Use AUTOPKGTEST_ vars instead of ADT_ in test suite

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 20 Oct 2018 10:09:46 +0000

cedar-backup3 (3.1.12-4) unstable; urgency=medium

  * Bump standards version to 4.2.1.0 (no packaging changes).
  * Accept patch from Jelmer Vernooĳ to correct copyright file URI.
  * Fix Lintian warnings about debian/copyright file.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 16 Sep 2018 17:27:41 +0000

cedar-backup3 (3.1.12-3) unstable; urgency=medium

  * Bump standards version to 4.2.0.1 (no packaging changes).
  * Fix Lintian warning: remove obsolete X-Python3-Version from debian/control.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 07 Aug 2018 01:50:19 +0000

cedar-backup3 (3.1.12-2) unstable; urgency=medium

  * Convert Debian packaging from Subversion to Git.
  * Bump standards version to 4.1.3.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 03 Jan 2018 02:24:56 +0000

cedar-backup3 (3.1.12-1) unstable; urgency=medium

  * New upstream release, now with Sphinx API documentation instead of Epydoc.
    - Add libjs-jquery and libjs-underline to dependencies for cedar-backup3-doc
    - Adjust debian/rules to link in the pre-packaged Javascript libraries
  * Remove "Testsuite: autopkgtest" from debian/control per Lintian warning.
  * Bump standards version to 4.1.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Nov 2017 19:24:27 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
 Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python3-chardet, dh-python
-Standards-Version: 4.0.1.0
-X-Python3-Version: >= 3.4
-Testsuite: autopkgtest
+Standards-Version: 4.2.1.0
+Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
+Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git
 
 Package: cedar-backup3
 Architecture: all
@@ -43,7 +43,7 @@
 Package: cedar-backup3-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
 Description: local and remote backups to CD/DVD media or Amazon S3 storage (documentation)
  Cedar Backup 3 is a software package designed to manage system backups for a
  pool of local and remote machines.  Cedar Backup understands how to back up

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 # Set to enable verbose output from debhelper
 #export DH_VERBOSE=1
+
+# Javascript locations
+STATIC_DIR=debian/cedar-backup3-doc/usr/share/doc/cedar-backup3-doc/interface/_static
+JQUERY_LIB=/usr/share/javascript/jquery/jquery.js
+UNDERSCORE_LIB=/usr/share/javascript/underscore/underscore.js
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -15,6 +20,14 @@
 override_dh_auto_install:
 	python3 setup.py install --no-compile --install-purelib lib/cedar-backup3 --install-scripts bin
 
+# Per the Lintian embedded-javascript-library warning, we use pre-packaged Javascript libraries
+override_dh_installdocs:
+	dh_installdocs
+	rm $(STATIC_DIR)/jquery.js
+	rm $(STATIC_DIR)/underscore.js
+	ln -s $(JQUERY_LIB) $(STATIC_DIR)
+	ln -s $(UNDERSCORE_LIB) $(STATIC_DIR)
+
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	sh debian/smoketest

## cedar-backup3 3.2.0

=== debian/changelog ===
cedar-backup3 (3.2.0-2) unstable; urgency=medium

  * Add __pycache__ directories to debian/clean.
  * Fix obsolete BitBucket URLs to point at GitHub.
    - Adjust debian/control and debian/copyright to set correct homepage
    - Adjust debian/watch to work properly with upstream release filenames

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 25 Aug 2019 14:20:15 +0000

cedar-backup3 (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust debian/copyright to reflect new upstream copyright dates.
  * Move to debhelper compatibility level 12
    - Update debian/control to build depend on debhelper-compat (= 12)
    - Remove debian/compat, which is no longer needed
    - Add debian/clean so "debian/rules clean" works as expected
    - Adjust debian/rules to reflect new policy for documentation
    - Ajudst debian/cedar-backup3-doc.docs
    - Adjust debian/cedar-backup3-doc.doc-base.cedar-backup3-interface
    - Adjust debian/cedar-backup3-doc.doc-base.cedar-backup3-manual

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 24 Aug 2019 19:56:15 +0000

cedar-backup3 (3.1.12-6) unstable; urgency=medium

  * Bump standards version to 4.4.0.1 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 10 Aug 2019 19:43:47 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
-Homepage: https://bitbucket.org/cedarsolutions/cedar-backup3
-Build-Depends: debhelper (>= 9), python3-all (>= 3.4), python3-chardet, dh-python
-Standards-Version: 4.2.1.0
+Homepage: https://github.com/cedarsolutions/cedar-backup3
+Build-Depends: debhelper-compat (= 12), python3-all (>= 3.4), python3-chardet, dh-python
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # Javascript locations
-STATIC_DIR=debian/cedar-backup3-doc/usr/share/doc/cedar-backup3-doc/interface/_static
+STATIC_DIR=debian/cedar-backup3-doc/usr/share/doc/cedar-backup3/interface/_static
 JQUERY_LIB=/usr/share/javascript/jquery/jquery.js
 UNDERSCORE_LIB=/usr/share/javascript/underscore/underscore.js
 
@@ -12,7 +12,8 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install
+	dh_missing --fail-missing
 
 override_dh_compress:
 	dh_compress -X.py -Xmanual.txt

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/CEDAR_BACKUPV3_V(\d+\.\d+.\d+)\.tar\.gz/cedar-backup3-$1\.tar\.gz/ \
  https://github.com/cedarsolutions/cedar-backup3/tags .*CEDAR_BACKUPV3_V(\d+\.\d+.\d+)\.tar\.gz

## cedar-backup3 3.3.2

=== debian/changelog ===
cedar-backup3 (3.3.2-1) unstable; urgency=medium

  * New upstream release with major changes to the packaging process.
    - Convert debian/rules to the standard dh build process for Python
    - Update the upstream GitHub URL in various places
    - Update debian/copyright to reflect the current codebase
    - Update debian/watch to reflect the new PyPI location
    - Update debian-platform.patch to reflect the current codebase
    - Update debian/tests/unittest to reflect the new test runner
    - Update debian/control to reflect the new Python version requirements
    - Update various control files to reflect the new doc locations

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 26 Oct 2020 10:45:53 +0000

cedar-backup3 (3.2.0-5) unstable; urgency=low

  * Accept package cleanup from Debian Janitor.
    - Apply multi-arch hints

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 16 Oct 2020 00:38:27 +0000

cedar-backup3 (3.2.0-4) unstable; urgency=low

  * Accept package cleanup from Debian Janitor.
    - Trim trailing whitespace
    - Add upstream metadata

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 16 Jul 2020 23:29:19 -0000

cedar-backup3 (3.2.0-3) unstable; urgency=medium

  * Bump standards version to 4.5.0.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 27 Jun 2020 17:57:56 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
-Homepage: https://github.com/cedarsolutions/cedar-backup3
-Build-Depends: debhelper-compat (= 12), python3-all (>= 3.4), python3-chardet, dh-python
-Standards-Version: 4.4.0.1
+Homepage: https://github.com/pronovic/cedar-backup3
+Build-Depends: debhelper-compat (= 12), dh-python, python3-all (>= 3.7), python3-astroid, python3-chardet, python3-toml, python3-sphinx-autoapi
+X-Python3-Version: >= 3.7
+Standards-Version: 4.5.0.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
 Vcs-Git: https://salsa.debian.org/debian/cedar-backup3.git
 
@@ -44,6 +45,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Multi-Arch: foreign
 Description: local and remote backups to CD/DVD media or Amazon S3 storage (documentation)
  Cedar Backup 3 is a software package designed to manage system backups for a
  pool of local and remote machines.  Cedar Backup understands how to back up
@@ -67,4 +69,3 @@
  This package provides the end-user and library public interface documentation
  for Cedar Backup, both in HTML form.  You really should read through the
  end-user documentation before using Cedar Backup for the first time.
-

=== debian/rules ===
#!/usr/bin/make -f

# Set to enable verbose output from debhelper
#export DH_VERBOSE=1

# Javascript locations
STATIC_DIR=debian/cedar-backup3-doc/usr/share/doc/cedar-backup3/html/_static
JQUERY_LIB=/usr/share/javascript/jquery/jquery.js
UNDERSCORE_LIB=/usr/share/javascript/underscore/underscore.js

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	dh_missing --fail-missing

# Per the Lintian embedded-javascript-library warning, we use pre-packaged Javascript libraries
override_dh_installdocs:
	cd docs && make html && cd ..
	dh_installdocs
	rm $(STATIC_DIR)/jquery.js
	rm $(STATIC_DIR)/underscore.js
	ln -s $(JQUERY_LIB) $(STATIC_DIR)
	ln -s $(UNDERSCORE_LIB) $(STATIC_DIR)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sh debian/smoketest
endif

## cedar-backup3 3.3.4

=== docs/requirements.txt ===
alabaster==0.7.12; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
appdirs==1.4.4; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
astroid==2.4.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
attrs==20.2.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.6"
babel==2.8.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
black==19.10b0; python_version >= "3.6"
certifi==2020.6.20; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
cfgv==3.2.0; python_full_version >= "3.6.1"
chardet==3.0.4
click==7.1.2; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
colorama==0.4.4; python_version >= "3.5" and python_full_version < "3.0.0" and platform_system == "Windows" and sys_platform == "win32" and (python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5") or python_full_version >= "3.5.0" and platform_system == "Windows" and sys_platform == "win32" and python_version >= "3.5" and (python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5")
coverage==5.3; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0" and python_version < "4")
distlib==0.3.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
docutils==0.16; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
filelock==3.0.12; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
identify==1.5.6; python_full_version >= "3.6.1"
idna==2.10; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
imagesize==1.2.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
importlib-metadata==2.0.0; python_full_version >= "3.6.1" and python_version < "3.8" and (python_version >= "2.7" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8")
isort==4.3.21; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.4.0")
jinja2==2.11.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
lazy-object-proxy==1.4.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.5"
markupsafe==1.1.1; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
mccabe==0.6.1; python_version >= "3.5"
nodeenv==1.5.0; python_full_version >= "3.6.1"
packaging==20.4; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
pathspec==0.8.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
pluggy==0.13.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
pre-commit==2.7.1; python_full_version >= "3.6.1"
py==1.9.0; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
pygments==2.7.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
pylint==2.6.0; python_version >= "3.5"
pyparsing==2.4.7; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
pytz==2020.1; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.5"
pyyaml==5.3.1; python_full_version >= "3.6.1"
regex==2020.10.23; python_version >= "3.6"
requests==2.24.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
six==1.15.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
snowballstemmer==2.0.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinx-autoapi==1.5.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.6.0")
sphinx==2.4.4; python_version >= "3.5"
sphinxcontrib-applehelp==1.0.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-devhelp==1.0.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-htmlhelp==1.0.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-jsmath==1.0.1; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-qthelp==1.0.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-serializinghtml==1.1.4; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
toml==0.10.1
tox==3.20.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0")
typed-ast==1.4.1; implementation_name == "cpython" and python_version < "3.8" and python_version >= "3.6"
unidecode==1.1.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.6.0"
urllib3==1.25.11; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version < "4" and python_version >= "3.5"
virtualenv==20.0.35; python_full_version >= "3.6.1"
wrapt==1.12.1; python_version >= "3.5"
zipp==3.3.2; python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8" and python_version >= "3.6"

=== debian/changelog ===
cedar-backup3 (3.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 30 Oct 2020 00:12:18 +0000

cedar-backup3 (3.3.3-1) unstable; urgency=medium

  * New upstream release with minor changes.
  * Get rid of override_dh_install, no longer needed with debhelper compat 13.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 22:53:39 +0000

cedar-backup3 (3.3.2-2) unstable; urgency=medium

  * Package cleanup based on a review at qa.debian.org.
    - Remove obsolete on util-linux (fdisk is all we need now).
    - Update debian/control to set Rules-Requires-Root: no
    - Update debian/control to move to debhelper-compat (= 13)
    - Add Lintian override for debian-watch-does-not-check-gpg-signature
    - Add Lintian override for missing-systemd-timer-for-cron-script
    - Add doc-privacy.patch to address Lintian privacy-breach warnings
    - Convert to dh_sphinxdoc to properly symlink shared Javascript

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 29 Oct 2020 21:28:59 +0000

## cedar-backup3 3.4.0

=== debian/changelog ===
cedar-backup3 (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 07 Nov 2020 18:05:16 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Section: admin
 Maintainer: Kenneth J. Pronovici <pronovic@debian.org>
 Homepage: https://github.com/pronovic/cedar-backup3
-Build-Depends: debhelper-compat (= 12), dh-python, python3-all (>= 3.7), python3-astroid, python3-chardet, python3-toml, python3-sphinx-autoapi
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all (>= 3.7), python3-astroid, python3-chardet, python3-toml, python3-sphinx, python3-sphinx-autoapi
+Rules-Requires-Root: no
 X-Python3-Version: >= 3.7
 Standards-Version: 4.5.0.0
 Vcs-Browser: https://salsa.debian.org/debian/cedar-backup3
@@ -12,7 +13,7 @@
 Package: cedar-backup3
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-chardet
-Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli (>= 1.11.13-1), fdisk | util-linux (<< 2.29.2-3~)
+Recommends: dvd+rw-tools, wodim, genisoimage, eject, ssh, cedar-backup3-doc, awscli (>= 1.11.13-1), fdisk
 Suggests: subversion, default-mysql-client | virtual-mysql-client, postgresql-client, grepmail, gnupg
 Description: local and remote backups to CD/DVD media or Amazon S3 storage
  Cedar Backup 3 is a software package designed to manage system backups for a
@@ -44,7 +45,7 @@
 Package: cedar-backup3-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery, libjs-underscore
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Multi-Arch: foreign
 Description: local and remote backups to CD/DVD media or Amazon S3 storage (documentation)
  Cedar Backup 3 is a software package designed to manage system backups for a

## cedar-backup3 3.4.1

=== docs/requirements.txt ===
alabaster==0.7.12; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
appdirs==1.4.4; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
astroid==2.4.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
attrs==20.3.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.6"
babel==2.9.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
black==19.10b0; python_version >= "3.6"
certifi==2020.12.5; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
cfgv==3.2.0; python_full_version >= "3.6.1"
chardet==3.0.4
click==7.1.2; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
colorama==0.4.4; python_version >= "3.5" and python_full_version < "3.0.0" and platform_system == "Windows" and sys_platform == "win32" and (python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5") or python_full_version >= "3.5.0" and platform_system == "Windows" and sys_platform == "win32" and python_version >= "3.5" and (python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5")
coverage==5.3.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0" and python_version < "4")
distlib==0.3.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
docutils==0.16; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
filelock==3.0.12; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
identify==1.5.10; python_full_version >= "3.6.1"
idna==2.10; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
imagesize==1.2.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
importlib-metadata==2.1.1; python_full_version >= "3.6.1" and python_version < "3.8" and (python_version >= "2.7" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8")
isort==4.3.21; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.4.0")
jinja2==2.11.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
lazy-object-proxy==1.4.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.5"
markupsafe==1.1.1; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
mccabe==0.6.1; python_version >= "3.5"
nodeenv==1.5.0; python_full_version >= "3.6.1"
packaging==20.8; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
pathspec==0.8.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
pluggy==0.13.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
pre-commit==2.9.3; python_full_version >= "3.6.1"
py==1.10.0; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
pygments==2.7.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
pylint==2.6.0; python_version >= "3.5"
pyparsing==2.4.7; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
pytz==2020.4; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.5"
pyyaml==5.3.1; python_full_version >= "3.6.1"
regex==2020.11.13; python_version >= "3.6"
requests==2.25.1; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
six==1.15.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.5"
snowballstemmer==2.0.0; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinx-autoapi==1.5.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.6.0")
sphinx==2.4.4; python_version >= "3.5"
sphinxcontrib-applehelp==1.0.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-devhelp==1.0.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-htmlhelp==1.0.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-jsmath==1.0.1; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-qthelp==1.0.3; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
sphinxcontrib-serializinghtml==1.1.4; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.5"
toml==0.10.2; (python_version >= "2.6" and python_full_version < "3.0.0") or (python_full_version >= "3.3.0")
tox==3.20.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0")
typed-ast==1.4.1; implementation_name == "cpython" and python_version < "3.8" and python_version >= "3.6"
unidecode==1.1.2; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.6.0"
urllib3==1.26.2; python_version >= "3.5" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version < "4" and python_version >= "3.5"
virtualenv==20.2.2; python_full_version >= "3.6.1"
wrapt==1.12.1; python_version >= "3.5"
zipp==3.4.0; python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8" and python_version >= "3.6"

=== debian/changelog ===
cedar-backup3 (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.5.1.0 (no packaging changes).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 20 Dec 2020 23:53:32 +0000

## cedar-backup3 3.5.1

=== debian/changelog ===
cedar-backup3 (3.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 31 Dec 2020 03:02:56 +0000

## cedar-backup3 3.5.2

=== debian/changelog ===
cedar-backup3 (3.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 14 Jan 2021 21:05:16 +0000
